﻿:root {
    --background: linear-gradient(90deg, #9491E2, #AFF2D8);
    --shadow: rgba(255, 255, 255, 0.7);
    --text: #111;
    --border: #333;
}

/* ========================= Login ========================= */

body {
    height: 100vh;
/*    width: 100%;*/
    display: flex;
    align-items: center;
    justify-content: center;
    /* padding: 10vh 0; */
    background: var(--background);
    overflow-x: hidden;
}

.login-container {
    /* height: 50vh; */
    width: 27%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
    background-color: #d8ded6;
    /* background: linear-gradient(90deg, #B5C6E0, #EBF4F5); */
    box-shadow: 0 2px 7px var(--shadow);
    padding: 5vh 3vw;
    gap: 5vh;
    border-radius: 40px;
}

.company-logo {
    /* height: 10vh;
    width: auto; */
    height: auto;
    width: 200px;
}

.input-box {
    width: 100%;
    /* background-color: #fff200; */
    display: flex;
    flex-direction: column;
    gap: 3vh;
}

.input:nth-child(2) {
    margin-top: 3vh;
}

.input {
    position: relative;
    /* background-color: aqua; */
}

.input input {
    /* height: 50px; */
    width: 100%;
    outline: none;
    border: none;
    border-bottom: 2px solid var(--border);
    /* border-bottom: 3px solid #AFF2D8; */
    padding: 1vh 0.3vw;
    /* font-family: Poppins; */
    /* font-size: 18px; */
    color: var(--text);
    background-color: transparent;
    /* position: absolute; */
    z-index: 100;
}

.input label {
    position: absolute;
    top: 18%;
    left: 5px;
    color: var(--text);
    /* font-family: Poppins; */
    /* font-size: 18px; */
    /* transform: translateY(-50%); */
    transition: 0.3s;
}

.input i {
    position: absolute;
    top: 25%;
    right: 15px;
    color: var(--text);
    /* font-size: 18px; */
}

input:focus~label,
input:valid~label {
    top: -60%;
    color: #0078d7;
}

.remember-box {
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.checkbox {
    transform: scale(1.25);
}

.remember-box a {
    /* color: #0078d7; */
    color: #133fb9;
    text-decoration: none;
}

.remember-box a:hover {
    text-decoration: underline;
}

.login-btn {
    margin-top: 5vh;
    font-size: 18px;
    padding: 1vh 0;
    color: white;
    background-color: #0078d7;
    border: 2px solid #0078d7;
    border-radius: 30px;
    cursor: pointer;
}

/* .login-btn:hover {
    border-color: white;
    background-color: white;
    color: #0078d7;
    transform: scale(10px);
    transition: transform 0.5s ease;
} */

/* ========================= Mobile Screen (Rotate) ========================= */

@media (max-width: 1100px) {
    .login-container {
        width: 85%;
        gap: 2vh;
    }

    .input-box {
        width: 90%;
        gap: 1vh;
    }

/* ========================= Mobile Screen ========================= */

@media (max-width: 766px) {
    .login-container {
        width: 100%;
    }

    .login-btn {
        margin-top: 0;
    }
} 